View Issue Details

IDProjectCategoryView StatusLast Update
0003742Far ManagerFile Systempublic2019-10-06 18:02
ReporterlkintactAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003742: Far неправильно (?) передает другим программам пути файлов длиной >259 символов
Description1. Есть видеофайл, полный путь к которому состоит из 260 (или более) символов . С типом видеофайла проаассоциирован видеоплеер.
2. Нажимаю в Фаре на файле Enter. Открывшийся видеоплеер сообщает "File not found".
3. Делаю то же самое в Проводнике. Видеоплеер проигрывает файл.

Far 3.0.0.5479 x86,
Windows 10 Home 1803.
TagsNo tags attached.
Build5480

Activities

lkintact

2019-10-03 13:41

reporter   bugnote:0016609

Я прочел пункт 5.4 форумного FAQ (https://forum.farmanager.com/app.php/faq), и если информация в нем актуальна и описывает мой случай в том числе, просьба закрыть тикет.

DrKnS

2019-10-03 18:25

administrator   bugnote:0016610

Покажите команду запуска вашего плеера в обоих случаях.
Посмотреть можно в Process Explorer или плагином Process List.

lkintact

2019-10-03 21:15

reporter   bugnote:0016611

Last edited: 2019-10-03 21:37

View 3 revisions

Команды запуска, показываемые Process List-ом,
В случае запуска из Фара:
Командная строка:
"C:\Program Files\MPC-HC\mpc-hc.exe" "C:\Users\***\Downloads\VIDEO [more on the flashdrive]\Health 
[more on the flashdrive]\Orthopaedy [more on the flashdrive]\VIDEOS [more on the flashdrive]\!Watched 
[more on the flashdrive]\__4_3_~1.MKV"

В случае запуска из Проводника:
Командная строка:
"C:\Program Files\MPC-HC\mpc-hc.exe" "C:\Users\***\Downloads\VIDEO_~1\HEALTH~1\ORTHOP~1\VIDEOS~1\!WATCH~1\__4_3_~1.MKV"

Надеюсь, правильно понял, какая именно требуется информация. Заменил в обоих случаях юзернейм на ***, но длины путей от этого не поменялись, так как юзернейм трёхсимвольный.

DrKnS

2019-10-03 21:47

administrator   bugnote:0016612

Использование коротких имена плохо влияет на карму и загрязняет чакры, но, похоже, альтернатив нет.

5480.

lkintact

2019-10-04 08:32

reporter   bugnote:0016613

Спасибо, в 5480 файл открывается и из Фара тоже.

Issue History

Date Modified Username Field Change
2019-10-03 13:16 lkintact New Issue
2019-10-03 13:41 lkintact Note Added: 0016609
2019-10-03 18:25 DrKnS Note Added: 0016610
2019-10-03 21:15 lkintact Note Added: 0016611
2019-10-03 21:16 lkintact Note Edited: 0016611 View Revisions
2019-10-03 21:37 lkintact Note Edited: 0016611 View Revisions
2019-10-03 21:47 DrKnS Assigned To => DrKnS
2019-10-03 21:47 DrKnS Status new => feedback
2019-10-03 21:47 DrKnS Note Added: 0016612
2019-10-04 08:32 lkintact Note Added: 0016613
2019-10-04 08:32 lkintact Status feedback => assigned
2019-10-06 18:02 DrKnS Status assigned => closed
2019-10-06 18:02 DrKnS Resolution open => fixed
2019-10-06 18:02 DrKnS Fixed in Version => 3.0
2019-10-06 18:02 DrKnS Build => 5480